Liam
Mar 05, 2016

Fixing Local Jekyll after Upgrade to 3.0

Github Deprecating Redcarpet and Pygments

You Can see that in my repo commit:

And to have same jekyll version with Github Page my local has updated to Jekyll 3.0 with gem update jekyll too

Upgrading to Jekyll 3.0 break local

Image of Fixed Local Jekyll:

image breaked jekyll

All the Effort I Tried but Failed

  • conda install Pygments
  • gem uninstall jekyll; gem install jekyll

Image of Fixed Local Jekyll

image fixed jekyll

Solutions

After all the above failed, I think it might be due to markdown has changed, so I go to see the document of kramdown.

Then I found out:

  • ``` using this as code block markdown is not supported in kramdown
  • ~~~ this is the new supported code block markdown
article

Comments